;(function ($) {
  var BASE_URL = '//zrzyt.hubei.gov.cn';
var BASE_URLS = '//zrzyt.hubei.gov.cn/hdjl/dczj/wsdc/wjdc.shtml?';
  var OPINION_WEB_LIST = BASE_URL + '/IGI/opinion/web/list';		// 获取意见征集数据
  var OPEN_SURVEY_LIST = BASE_URL + '/IGI/open/survey/list';		// 获取问卷调查数据
var opinionCount = 5;//意见征集数据条数
  var surveyCount = 5;//获取在线调查数据条数

  var otherData = {
      siteId:29,
  }
getWebList();
  getSurveyList();

    // 获取意见征集数据条数
  function getOpinionCount() {
      var params = {
          pageIndex: 1,
          pageSize: 1,
      }
      $.ajax({
          type: "get",
          url: OPINION_WEB_LIST,
          data: $.extend({}, params, otherData),
          xhrFields: {withCredentials: true},
          // crossDomain: true,
          dataType: "json",
          success: function (data) {
              var codeTemp = data.statusCode;

              if (codeTemp === 200) {
                  var pageTemp = data.datas.pageInfo;
                  opinionCount = pageTemp.totalResults;
                  getWebList();
              } else {
                  layer.alert(data.message);
              }
          },
          error: function (data) {
              layer.msg('网络连接错误，请刷新或稍后重试！');
          },
      });
  }

    // 获取在线调查数据条数
  function getSurveyCount() {
      var params = {
          pageIndex: 1,
          pageSize: 1,
      }

      $.ajax({
          type: "get",
          url: OPEN_SURVEY_LIST,
          data: $.extend({}, params, otherData),
          xhrFields: {withCredentials: true},
          // crossDomain: true,
          dataType: "json",
          success: function (data) {
              var codeTemp = data.statusCode;

              if (codeTemp === 200) {
                  var pageTemp = data.datas.pageInfo;
                  surveyCount = pageTemp.totalResults;
                  getSurveyList();
              } else {
                  layer.alert(data.message);
              }
          },
          error: function (data) {
              layer.msg('网络连接错误，请刷新或稍后重试！');
          },
      });
  }

   // 获取意见征集数据
  function getWebList() {
    var params = {
          pageIndex: 1,
          pageSize: opinionCount
      }
  jQuery.support.cors = true;
      $.ajax({
          type: "get",
          url: OPINION_WEB_LIST,
          data: $.extend({}, params, otherData),
          xhrFields: {withCredentials: true},
          //crossDomain: true,
          dataType: "json",
          success: function (data) {
              var codeTemp = data.statusCode;

              if (codeTemp === 200) {
                  var dataTemp = data.datas.data;
        dataTemp.forEach(function (item) {
                      item.beginTime = unixToDate(item.beginTime, 'yyyy-MM-dd');
                      item.endTime = unixToDate(item.endTime, 'yyyy-MM-dd');
                      item.theme = beautySub(item.theme, 50);
                  })

                  dataTemp.sort(sortCompare('beginTime'));// 排序，按发布时间倒序

                  var lsitHtml = "";
        
                  dataTemp.forEach(function (item,index){
                      if(index<5){
                            // 处理状态值
                      var status = "";
                      var  color="";
                      
                      if (item.status === 0 || item.status === '0') {
                          status = "进行中";
                          color="date status1";
                      } else if (item.status === 1 || item.status === '1') {
                          status = "已结束";
                          color="date status2"; 
                          
                      } else if (item.status === 2 || item.status === '2') {
                          status = "未开始";
                          color="date status2";
                      }

                          // 处理图片
                          var imgHtml = "";
                          
          if(item.exLink==null){
                          // 针对具体情况修改a跳转地址
                          lsitHtml +=
                                  '<li>'+
                                      '<a href="'+BASE_URL+'/hdjl/dczj/yjzj.shtml?collectionId=' + item.id + '&siteId='+otherData.siteId+'&status='+item.status+'" title="'+item.theme +'" target="_blank" >'+beautySub(item.theme,32) +
                                      '<span class="'+color+'">'+ status +'</span>'+
                                      '</a>'+
                                  '</li>'
          }else{
            lsitHtml +=
                                  '<li>'+
                                      '<a href="'+item.exLink+'" target="_blank" >'+beautySub(item.theme,32) +
                                      '<span class="'+color+'">'+ status +'</span>'+
                                      '</a>'+
                                  '</li>'



                  }
                  }
                  })
                  $("#yjzj").html(lsitHtml);

                  // 初始化客户端分页插件
                
              } else {
                  layer.alert(data.message);
              }
          },
          error: function (data) {
              layer.msg('网络连接错误，请刷新或稍后重试！');
          },
      });
  }

// 获取在线调查数据
  function getSurveyList() {
      var params = {
          pageIndex: 1,
          pageSize: surveyCount
      }
  jQuery.support.cors = true;
      $.ajax({
          type: "get",
          url: OPEN_SURVEY_LIST,
          data: $.extend({}, params, otherData),
          xhrFields: {withCredentials: true},
          //crossDomain: true,
          dataType: "json",
          success: function (data) {
              var codeTemp = data.statusCode;

              if (codeTemp === 200) {
                  var dataTemp = data.datas.data;
                  dataTemp.forEach(function (item) {
          item.endTimes = item.endTime;
                      item.startTime = unixToDate(item.startTime, 'yyyy-MM-dd');
                      item.endTime = unixToDate(item.endTime, 'yyyy-MM-dd');
                      item.title = beautySub(item.title, 50);
                  })



                  dataTemp.sort(sortCompare('startTime'));// 排序，按发布时间倒序

                  var lsitHtml = "";
        var timestamp = (new Date()).getTime();
         
                  dataTemp.forEach(function (item,index) 

                  {


                      if(index<5){
                     
                          // 处理状态值
                          var status = "";
                          var status_two = "";
                          var color="";
            var color_two="";
          
          //外链类型状态值
          if(item.endTimes>timestamp){
            status_two = "进行中";
            color_two = "rbiaoq bcblue";
          }else{
            status_two = "已结束";
            color_two = "rbiaoq";
          }

                      if (item.status === 0 || item.status === '0') {
                          status = "进行中";
                          color="date status1";
                      } else if (item.status === 1 || item.status === '1') {
                          status = "已暂停";
                          color="date status2";
                      } else if (item.status === 2 || item.status === '2') {
                          status = "未发布";
                          color="date status2";
                      } else if (item.status === 9 || item.status === '9') {
                          status = "已结束";
                          color="date status2";
                          
                      }
                      if(item.status === 9 || item.status === '9'){
                          // 针对具体情况修改a跳转地址  
            if(item.exLink==null){
                              lsitHtml +=
                                  '<li>'+
                                      '<a href="'+BASE_URLS+'/personalCenter/#/chartmain?metadataId='+item.id+'&siteId='+otherData.siteId+'" target="_blank" title="'+item.title+'">'+beautySub(item.title,32) +
                                      '<span class="'+color+'">'+ status +'</span>'+
                                      '</a>'+
                                  '</li>'
            }else{
              lsitHtml +=
                                  '<li>'+
                                      '<a href="'+item.exLink+'" target="_blank" title="'+item.title+'">'+beautySub(item.title,32)+
                                      '<span class="'+color+'">'+ status +'</span>'+
                                      '</a>'+
                                  '</li>'
            }
                    }
                    else{
                            // 针对具体情况修改a跳转地址  
              if(item.exLink==null){
                              lsitHtml +=
                                  '<li>'+
                                      '<a href="'+BASE_URLS+'/personalCenter/answerSheet/answerSheet.html?metadataId='+item.id+'&siteId='+otherData.siteId+'" target="_blank" title="'+item.title+'">'+beautySub(item.title,32) +
                                      '<span class="'+color+'">'+ status +'</span>'+
                                      '</a>'+
                                  '</li>'
                          
                              }else{
                lsitHtml +=
                                  '<li>'+
                                      '<a href="'+item.exLink+'" target="_blank" title="'+item.title+'">'+beautySub(item.title,32)+
                                      '<span class="'+color+'">'+ status +'</span>'+
                                      '</a>'+
                                  '</li>'
                         }

                    }
                      
                  }
         

                  })
                  $("#wsdc").html(lsitHtml);

                  // 初始化客户端分页插件
                
              } else {
                  layer.alert(data.message);
              }
          },
          error: function (data) {
              layer.msg('网络连接错误，请刷新或稍后重试！');
          },
      });
  }








  /**
   * 时间戳转换为日期格式
   * @param {String} unix - 时间戳，单位ms
   * @param {String} fmt - 格式化
   * @returns {Number} 日期格式
   */
  function unixToDate(unix, fmt) {
      fmt = fmt || "yyyy-MM-dd";

      var fullDate = new Date(parseInt(unix));

      var o = {
          "M+": fullDate.getMonth() + 1,// 月份
          "d+": fullDate.getDate(),// 日
          "H+": fullDate.getHours(),// 小时
          "m+": fullDate.getMinutes(),// 分
          "s+": fullDate.getSeconds(),// 秒
          "q+": Math.floor((fullDate.getMonth() + 3) / 3), // 季度
          "S": fullDate.getMilliseconds()// 毫秒
      };

      if (/(y+)/.test(fmt)) {
          fmt = fmt.replace(RegExp.$1, (fullDate.getFullYear() + "").substr(4 - RegExp.$1.length));
      }

      for (var k in o) {
          if (new RegExp("(" + k + ")").test(fmt)) {
              fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
          }
      }
      return fmt;
  }

  /*
   * 用途：js中字符串超长作固定长度加省略号（...）处理
   * 参数说明：
   * str:需要进行处理的字符串，可含汉字
   * len:需要显示多少个汉字，两个英文字母相当于一个汉字。
   */
  function beautySub(str, len) {
      if (str) {
          var reg = /[\u4e00-\u9fa5]/g, //专业匹配中文
              slice = str.substring(0, len),
              chineseCharNum = (~~(slice.match(reg) && slice.match(reg).length)),
              realen = slice.length * 2 - chineseCharNum;
          return str.substr(0, realen) + (realen < str.length ? "..." : "");
      } else {
          return "";
      }
  }

  /*
  * 用途：sort 排序参数处理
  * @param prop - 排序的参数
  */
  function sortCompare(prop) {
      return function (obj1, obj2) {
          var val1 = obj1[prop];
          var val2 = obj2[prop];
          if (!isNaN(Number(val1)) && !isNaN(Number(val2))) {
              val1 = Number(val1);
              val2 = Number(val2);
          }
          if (val1 < val2) {
              return 1;
          } else if (val1 > val2) {
              return -1;
          } else {
              return 0;
          }
      }
  }
})(window.jQuery);
